@charset "utf-8";
:root {
    /* 기본 배경 및 컴포넌트 색상 */
    --indexBg: #222327;
    /* --whiteBg: #fff; */
    --whiteBg: var(--defaultBg);
    --inputBg: #212226;
    --inputBgFocus: #303238;
    --radioBg: #fff;
    --disableBg: #ddd;
    --originWhite: #fff;
    --defaultBg: #2c2f34;
    --textColor: #b1b8c2;
    --textColor2: #363428;
    --textColor3: #706c5b;

    /* 포인트 및 상호작용 색상 */
    --pointColor: #ffc107;
    --pointColorHover: #d19d00;
    --pointSecond: #171a1f;
    --pointBg1: #ffffff;
    --pointBg2: #171718;
    --pointBg3: #e2e2e2;
    --pointBg4: #d9d9d9;
    --pointBg5: #cecece;
    --pointGradient: linear-gradient(0deg, rgb(217 162 6) 0%, rgb(255 177 0) 100%);
    --blueGradient: linear-gradient(0deg, #475161 0%, #254e6b 100%);
    --pinkGradient: linear-gradient(0deg, #714966 0%, #350f25 100%);
    --purpleGradient: linear-gradient(0deg, #47426b 0%, #201429 100%);
    --redGradient: linear-gradient(0deg, #5d3939 0%, #231616 100%);
    --pointInbg: #2c2f34;
    --pointReverse: #fff;
    --freeBgBl: #34344b;
    --freeBgBl2: #e7e7ff;
    --freeBgOg: #3f392d;
    --freeBgGr: #264333;
    --freeBgRd: #ffded2;
    --freecolorBl: #00ccff;
    --freecolorOg: #fec53d;
    --freecolorGr: #1aa30e;
    --freecolorRd: #ff9871;

    /* 입력 필드 및 컴포넌트 관련 색상 */
    --inputColor: #b3b6bd;
    --inputLabel: #767676;
    --inputBorder: #444444;
    --inputPlaceholder: #adadad;
    --inputFileBtnBg: #999;
    --inputFileBtnColor: #fff;

    /* 비활성화 상태 색상 */
    --disableColor: #999;
    --disableBorder: #ddd;

    /* 기타 UI 요소 색상 */
    --radioBdColor: #dddddd;
    --borderColor: #ddd;
    --switchShadow: #e5e5e5;
    --switchColor: #999;
    --bsBodyColor: #696969;
    --bsBorderColor: #dfe6f0;

    /*부트스트랩 테이블 커스텀*/
    --bs-border-color: #474747;
    --bs-body-color: #717171;
    --tableOddBg: #1d1f23;
    --tableHoverbg: #353a43;
    --tablethbg: #212529;

    /* 박스 쉐도우 */
    --bxShadow2: 0 2px 4px rgba(0, 0, 0, 0.1);
    --bxShadow4: 0 4px 8px rgba(0, 0, 0, 0.1);
    --bxShadow6: 0 6px 6px rgba(0, 0, 0, 0.05);
    --bxShadow8: 0 8px 16px rgb(0 0 0 / 35%);
    --bxShadow16: 0 16px 42px rgba(0, 0, 0, 0.1);

    /*배경이미지*/
    --bgIndex: url(/static/www/images/signup_bg.jpg) no-repeat center center;

    /*조직도 색상*/
    --chartBorder: #b7b7b7;
    --chartBgTit: #1c55e8;
    --chartTxt: #333333;
    --charHover: #c8e4f8;
    --charBdHover: #94a0b4;
}
.logo_light {
    display: block;
}
.logo_dark {
    display: none;
}
@media (prefers-color-scheme: dark) {
    .logo_light {
        display: none;
    }
    .logo_dark {
        display: block;
    }
    :root {
        /* 기본 배경 및 컴포넌트 색상 */
        --indexBg: #1b2431;
        --whiteBg: #1f2836;
        --inputBg: #323d4e;
        --inputBgFocus: #1b2943;
        --radioBg: #1b2943;
        --disableBg: #0b1527;
        --originWhite: #fff;
        --defaultBg: #273142;
        --textColor: #ffffff;

        /* 포인트 및 상호작용 색상 */
        --pointColor: #4880ff;
        --pointColorHover: #063fd9;
        --pointSecond: #3567e8;
        --pointBg1: #273142;
        --pointBg2: #212d40;
        --pointBg3: #1b2639;
        --pointBg4: #152136;
        --pointBg5: #101d33;
        --pointGradient: linear-gradient(0deg, rgba(6, 63, 217, 1) 0%, rgba(0, 88, 255, 1) 100%);
        --blueGradient: linear-gradient(0deg, #4e96ff 0%, #80c9fc 100%);
        --pinkGradient: linear-gradient(0deg, #f97fd9 0%, #ffc1e6 100%);
        --purpleGradient: linear-gradient(0deg, #9e8fff 0%, #ebcbff 100%);
        --redGradient: linear-gradient(0deg, #ff8f8f 0%, #ffc1c1 100%);
        --pointInbg: #273142;
        --pointReverse: #4880ff;
        --freeBgBl: #e4e4ff;
        --freeBgBl2: #e7e7ff;
        --freeBgOg: #fef2d6;
        --freeBgGr: #d9f7e7;
        --freeBgRd: #ffded2;
        --freecolorBl: #3d42df;
        --freecolorOg: #fec53d;
        --freecolorGr: #4ad991;
        --freecolorRd: #ff9871;

        /* 입력 필드 및 컴포넌트 관련 색상 */
        --inputColor: #c7e0ed;
        --inputLabel: #82d0f8;
        --inputBorder: #2a3d5f;
        --inputPlaceholder: #6883a3;
        --inputFileBtnBg: #2a3d5f;
        --inputFileBtnColor: #fff;

        /* 비활성화 상태 색상 */
        --disableColor: #3f567c;
        --disableBorder: #1b2b48;

        /* 기타 UI 요소 색상 */
        --radioBdColor: #2a3d5f;
        --borderColor: #3f567c;
        --switchShadow: #2b4064;
        --switchColor: #3f567c;
        --bsBodyColor: #7e8ea4;
        --bsBorderColor: #19283e;

        /*부트스트랩 테이블 커스텀*/
        --bs-border-color: #263246;
        --bs-body-color: #c7e0ed;
        --tableOddBg: #121c2a;
        --tableHoverbg: #374458;
        --tablethbg: #323d4e;

        /* 박스 쉐도우 */
        --bxShadow2: 0 2px 4px rgba(0, 137, 255, 0.1);
        --bxShadow4: 0 4px 8px rgba(0, 0, 0, 0.1);
        --bxShadow6: 0 6px 12px rgba(0, 0, 0, 0.1);
        --bxShadow8: 0 8px 16px rgba(20, 33, 39, 0.5);
        --bxShadow16: 0 16px 42px rgba(0, 0, 0, 0.1);

        /*배경이미지*/
        --bgIndex: url(../../images/signup_bg_dark.jpg) no-repeat center center;

        /*조직도 색상*/
        --chartBorder: #c7e0ed;
        --chartBgTit: #1c55e8;
        --chartTxt: #efefef;
        --charHover: #373c53;
        --charBdHover: #2376ff;
    }
}
